[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| ConvexPolytope< N, T > Class Template Reference |

`#include <vigra/polytope.hxx>`

Inheritance diagram for ConvexPolytope< N, T >:

## Public Member Functions
virtual void | addExtremeVertex (const point_view_type &p)
virtual bool | contains (const point_view_type &p) const
Public Member Functions inherited from StarPolytope< N, T >
virtual node_type | addFacet (const node_type &a, const node_type &b)
virtual node_type | addFacet (const node_type &a, const node_type &b, const node_type &c)
virtual point_type | getCenter () const
virtual real_type | nSurface () const
virtual real_type | nVolume () const
| StarPolytope ()
| StarPolytope (const point_view_type &center)
| StarPolytope (const point_view_type &a, const point_view_type &b, const point_view_type &c, const point_view_type &center)
| StarPolytope (const point_view_type &a, const point_view_type &b, const point_view_type &c, const point_view_type &d, const point_view_type &center)
Public Member Functions inherited from Polytope< N, T >
virtual node_type | addVertex (const point_view_type &p)
virtual bool | closed (const node_type n) const
virtual bool | closed () const
virtual real_type | distance (const node_type u, const point_view_type &p) const
virtual void | eraseFacet (const node_type u)
virtual unsigned int | fill (MultiArrayView< N, unsigned int > &array, const unsigned int label, const point_view_type offset, const point_view_type scale) const
virtual unsigned int | fill (MultiArrayView< N, unsigned int > &array, const unsigned int label, const point_view_type offset) const
virtual std::set< node_type > | getConnected (const node_type u) const
virtual ArrayVector< node_type > | litFacets (const point_view_type &p) const
virtual void | operator= (const Polytope< N, T > &other)
| Polytope ()
| Polytope (const Polytope< N, T > &other)
virtual void | tidyUp ()

## Detailed Description

### template<unsigned int N, class T>
class vigra::ConvexPolytope< N, T >

Specialization of the StarPolytope to polytopes which have a convex domain.

## Member Function Documentation

virtual bool contains | ( | const point_view_type & | p | ) | const
| virtual

Check if a point is inside the polytope.

Reimplemented from StarPolytope< N, T >.

virtual void addExtremeVertex | ( | const point_view_type & | p | ) |
| virtual

Expand the polytope to the given point if it's outside of the current polytope, such that the new polytope is still convex.

The documentation for this class was generated from the following file:

- vigra/polytope.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.0 (Fri May 19 2017)